using Godot;

namespace Cirno.Scripts.UI;

public partial class BossHud : CanvasLayer
{
    [Export] public Label BossNameLabel { get; set; }
    [Export] public Label SpellCardNameLabel { get; set; }
    [Export] public Label SpellCardsCountLabel { get; set; }
    [Export] public Label SpellCardTimerLabel { get; set; }
    [Export] public ProgressBar BossHealthBar { get; set; }

    public string BossName
    {
        get => BossNameLabel.Text;
        set => BossNameLabel.Text = value;
    }

    public string SpellCardName
    {
        get => SpellCardNameLabel.Text;
        set => SpellCardNameLabel.Text = value;
    }

    public string SpellCardsCount
    {
        get => SpellCardsCountLabel.Text;
        set => SpellCardsCountLabel.Text = value;
    }

    public string SpellCardTimer
    {
        get => SpellCardTimerLabel.Text;
        set => SpellCardTimerLabel.Text = value;
    }

    public double BossHealth
    {
        get => BossHealthBar.Value;
        set => BossHealthBar.Value = value;
    }

    public double BossMaxHealth
    {
        get => BossHealthBar.MaxValue;
        set => BossHealthBar.MaxValue = value;
    }
    
    public void Init()
    {
        
    }
    
}